import request from '@/utils/request'

// 查询氮气整点数据列表
export function listReportPointNitrogen(query) {
  return request({
    url: '/ems/report/reportPointNitrogen/list',
    method: 'get',
    params: query
  })
}

// 查询氮气整点数据详细
export function getReportPointNitrogen(objId) {
  return request({
    url: '/ems/report/reportPointNitrogen/' + objId,
    method: 'get'
  })
}

// 新增氮气整点数据
export function addReportPointNitrogen(data) {
  return request({
    url: '/ems/report/reportPointNitrogen',
    method: 'post',
    data: data
  })
}

// 修改氮气整点数据
export function updateReportPointNitrogen(data) {
  return request({
    url: '/ems/report/reportPointNitrogen',
    method: 'put',
    data: data
  })
}

// 删除氮气整点数据
export function delReportPointNitrogen(objId) {
  return request({
    url: '/ems/report/reportPointNitrogen/' + objId,
    method: 'delete'
  })
}

